远程桌面连接服务器身份验证错误要求的函数不受支持

  • 内容
  • 相关

问题描述:

在远程桌面连接服务器的时候,出现以下错误

发生身份验证错误。要求的函数不受支持

而有的客户端连接到服务器没有这个问题,就是这个台客户端连接出现问题

 

解决方法:

一、在远程桌面客户端修改

    开始运行->gpedit.msc 打开本地安全策略 

    策略路径:“计算机配置”->“管理模板”->“系统”->“凭据分配” 

    设置名称"加密 Oracle 修正"为已启用和易受攻击,并确定就可以了。

 

    个人电脑上根本找不到"加密 Oracle 修正"这一项,也没有微软最近更新的

     那个KB4103718补丁,这种情况修改注册表

      a打开注册表,快捷输入 “regedit”

(类似找命令提示符 输入 cmd 一样)

b找文件夹 路径:[HKEY_LOCAL_MACHINE]\Software\Microsoft\Windows\CurrentVersion\Policies\System\CredSSP\Parameters

一般到System 后就没有了,可以自己创建文件夹

c后再最底部文件夹里面 新建 DWORD(32)位的。 

  键值 “AllowEncryptionOracle” ,值 : 2

d最后点 保存 就可以登陆远程桌面了 (如有必要,可以重启一下)

 

另一种简单方法:(效果同上)

也可以直接复制以下内容到记事本:

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\Software\Microsoft\Windows\CurrentVersion\Policies\System\CredSSP\Parameters]

"AllowEncryptionOracle"=dword:00000002

随意命名,把txt后缀改成reg,打开运行,即可自动导入到注册表

++++++++++

二、在远程服务器端 关闭身份验证

 

通过以上方法设置,远程桌面客户端就可以连接服务器端了,点击是或者否就连接上去了,不再报身份验证错误了

本文标签:

版权声明:若无特殊注明,本文皆为《Mrtang》原创,转载请保留文章出处。

本文链接:远程桌面连接服务器身份验证错误要求的函数不受支持 - https://www.xxlover.cn/?post=102

发表评论

电子邮件地址不会被公开。 必填项已用*标注